int calcflux(int n, double *dens, double *momx, double *momy, double *ener, double *pres, 
	     double *massflux, double *mxflux, double *myflux, double *eflux) {

	int i;
	
	for (i=0; i<n; i++) {	
		massflux[i] = momx[i];
		mxflux[i]   = momx[i]*momx[i]/dens[i] + pres[i];
		myflux[i]   = momy[i]*momx[i]/dens[i];
		eflux[i]    = momx[i]/dens[i] * (ener[i] + pres[i]);
	}
	return 0;
}
