#include <stdio.h>
#include <stdlib.h>
#include <assert.h>
#include <sys/time.h>


void tick(struct timeval *tt)
{
  gettimeofday(tt,NULL);
}

void tock(struct timeval *tt)
{
  struct timeval tnow;
  gettimeofday(&tnow,NULL);
  double   dt=(tnow.tv_usec-tt->tv_usec)/1.0e6+(tnow.tv_sec-tt->tv_sec);  
  fprintf(stdout,"Tock registers %14.4e seconds.\n",dt);
  
}

double tocksilent(struct timeval *tt)
{
  struct timeval tnow;
  gettimeofday(&tnow,NULL);
  return (tnow.tv_usec-tt->tv_usec)/1.0e6+(tnow.tv_sec-tt->tv_sec);  
  
}

void tocktag(struct timeval *tt,char *msg)
{
  struct timeval tnow;
  gettimeofday(&tnow,NULL);
  double   dt=(tnow.tv_usec-tt->tv_usec)/1.0e6+(tnow.tv_sec-tt->tv_sec);  
  if (!msg)
    fprintf(stdout,"Tock registers %14.4e seconds.\n",dt);
  else
    fprintf(stdout,"%14.4e: %s\n",dt,msg);
  
}

