#ifndef _BOUNDARY_CONDS_H

#define BC_ZEROGRAD -1   /* outflow for supersonic flows */
#define BC_REFLECT  -2
#define BC_PERIODIC -3
#define NBCS 3

#include "domain.h"

#define XLEFT_DIR    0
#define XRIGHT_DIR   1
#define YLEFT_DIR    2
#define YRIGHT_DIR   3

int apply_all_bcs(domain_t *d, int *bcs, int gridi, int gridj);
int apply_bc(domain_t *d, int dirn, int bc);
int mpi_bc(domain_t *d, int dirn, int bc);
int mpi_bc_vector(domain_t *d, int dirn, int bc);

#define _BOUNDARY_CONDS_H 1
#endif
