#ifndef _ROW_H

#include <stdio.h>

typedef struct {
	int N;
	double *x;
	double **data;
	
	int enerflag;
	
	short int alloced; 
} row_t;

#define MAX_ROWSIZE 10000

#define FLAG_TOTALE            -1
#define FLAG_SPECIFICINTERNALE +1

int init_row(row_t *d, int nx, double startx, double endx, int enerflag);
int free_row(row_t *d);
int ener_tot_to_internal(row_t *r);
int ener_internal_to_tot(row_t *r);
int print_row(row_t *r, FILE *out);

#define _ROW_H 1
#endif
