#include <mpi.h>
#include <sys/utsname.h>
#include <stdio.h>
#include "mpiglobal.h"

int nprocs;           
int rank;             

void MPI_global_init()
{
   struct utsname name;  

   MPI_Comm_size(MPI_COMM_WORLD, &nprocs);
   MPI_Comm_rank(MPI_COMM_WORLD, &rank);
   uname(&name);
   printf("# nprocs=%d rank=%d node=%s\n",nprocs,rank,name.nodename);
}
