#ifndef _PARAMETERSH_
#define _PARAMETERSH_

#include <stdio.h>

#define MAXCPFILENAMELEN 50
 
struct Parameters
{
    int     n_tot;
    long    seed;         
    double  side;            
    double  dt;           
    double  runtime;      
    double  temp;            
    double  burn_in;       
    int     per;          
    double  cp_interval;   
    char    cp_filename[MAXCPFILENAMELEN];  
};
extern MPI_Datatype MPI_PARAMETERS;

void read_parameters(struct Parameters* this, MPI_Comm comm, FILE* file);
void Parameters_commit();
 

#endif

